project (gettextex2)

cmake_minimum_required (VERSION 2.8)

set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
include(MacroOptionalAddSubdirectory)

set (CMAKE_RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/run")

include_directories ("${CMAKE_BINARY_DIR}")
include_directories ("${PROJECT_SOURCE_DIR}/src")

if (NOT "" STREQUAL "${CUSTOM_INCLUDE_PATH}")
  include_directories ("${CUSTOM_INCLUDE_PATH}")
endif ()

add_subdirectory (src)
set (LOCALE_INSTALL_DIR "share/locale")
macro_optional_add_subdirectory (po)
add_subdirectory (test)
